Page MenuHomePhabricator

Remove Elastic/Cirrus code from Wikibase repo
Closed, ResolvedPublic

Description

Once the migration to WikibaseCirrusSearch is done for Wikibase and all dependent extensions (WikibaseLexeme, WikibaseMediaInfo, others?), the hooks and the code that depend on CirrusSearch/ElasticSearch should be removed from Wikibase code base.

This will be done in stages:

  • Copy mediawiki-config configurations to WikibaseCirrusSearch settings
  • Remove active hooks for Cirrus functionality
  • Remove old configs
  • Remove code in Wikibase\Repo\Search\Elastic

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRemove CirrusSearch hooks
mediawiki/extensions/WikibaseCirrusSearch : masterRemove some BC features from WikibaseSearchConfig
operations/mediawiki-config : masterMigrate configs to WikibaseCirrusSearch configs

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMar 19 2019, 6:22 PM
Smalyshev triaged this task as Medium priority.Mar 19 2019, 6:22 PM

Change 495159 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Remove CirrusSearch hooks

https://gerrit.wikimedia.org/r/495159

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Mar 20 2019, 8:51 PM
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.
Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:03 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Apr 3 2019, 11:42 PM
Smalyshev updated the task description. (Show Details)Apr 4 2019, 5:59 AM

Change 501435 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Migrate configs to WikibaseCirrusSearch configs

https://gerrit.wikimedia.org/r/501435

Change 501435 merged by jenkins-bot:
[operations/mediawiki-config@master] Migrate configs to WikibaseCirrusSearch configs

https://gerrit.wikimedia.org/r/501435

Mentioned in SAL (#wikimedia-operations) [2019-04-09T00:07:41Z] <ebernhardson@deploy1001> Synchronized wmf-config/: T218716: Migrade configs to WikibaseCirrusSearch (duration: 00m 51s)

Smalyshev updated the task description. (Show Details)Apr 9 2019, 6:08 AM

Change 502652 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseCirrusSearch@master] Remove some BC features from WikibaseSearchConfig

https://gerrit.wikimedia.org/r/502652

Change 502652 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Remove some BC features from WikibaseSearchConfig

https://gerrit.wikimedia.org/r/502652

Change 495159 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove CirrusSearch hooks

https://gerrit.wikimedia.org/r/495159

Smalyshev moved this task from In review to Done on the User-Smalyshev board.
debt closed this task as Resolved.Apr 19 2019, 9:03 PM